﻿using Spire.DataExport.Access;
using System.Data;

namespace FEMA.BusinessObjects.Utilities
{
    public static class ModifiedMsAccess
    {
        public static void Create(DataTable dt,string file)
        {
            AccessExport accessExport1 = new AccessExport();

            accessExport1.DatabaseName = file+ ".mdb";
            accessExport1.DataSource = Spire.DataExport.Common.ExportSource.DataTable;
            accessExport1.DataFormats.CultureName = "en-US";
            accessExport1.DataFormats.Currency = "c";
            accessExport1.DataFormats.DateTime = "MM/dd/yyyy H:mm";
            accessExport1.DataFormats.Float = "g";
            accessExport1.DataFormats.Integer = "g";
            accessExport1.DataFormats.Time = "H:mm";

            accessExport1.DataTable = dt;
            accessExport1.TableName = dt.TableName;

            accessExport1.SaveToFile();
        }
        public static void Create(DataSet ds, string filePath)
        {
            //Spire.License.LicenseProvider.ClearLicense();
            Spire.License.LicenseProvider.SetLicenseFileName("license.elic.xls.xml");
            AccessExport accessExport1 = new AccessExport();
        
           
            accessExport1.DataSource = Spire.DataExport.Common.ExportSource.DataTable;
            accessExport1.DataFormats.CultureName = "en-US";
            accessExport1.DataFormats.Currency = "c";
            accessExport1.DataFormats.DateTime = "MM/dd/yyyy H:mm";
            accessExport1.DataFormats.Float = "g";
            accessExport1.DataFormats.Integer = "g";
            accessExport1.DataFormats.Time = "H:mm";
            accessExport1.DatabaseName = filePath + ".mdb";
                foreach (DataTable dt in ds.Tables)
                {
                    accessExport1.DataTable = dt;
                    accessExport1.TableName = dt.TableName;
                    accessExport1.SaveToFile();
                } 
        }
       
    }
}
