﻿using System;
using System.Data;

using FEMA.BusinessObjects.Utilities;

namespace _495DataExport
{
    public partial class TestDataExport : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void Button1_Click(object sender, EventArgs e)
        {
            //create one dataTable to export to access
            DataTable dt = new DataTable();
            dt.TableName = "TestOneTable";
            dt.Columns.Add("Name", typeof(string));
            dt.Columns.Add("Age",typeof(int));
            dt.Columns.Add("Sex", typeof(string));
            dt.Rows.Add("Hannah", 23, "Female");
            dt.Rows.Add("Ted", 30, "Male");
            dt.Rows.Add("Lily", 30, "Female");

            //specify the accessBD path
            string filePath = Server.MapPath("./Data/OneTable");

            //call the create method to export the dataTable to specified path
            ModifiedMsAccess.Create(dt,filePath);

            ///export one dataSet including multiple dataTable to ont accessDB file
            DataSet ds = new DataSet();
            ds.ReadXml(Server.MapPath("./Data/Orders.xml"));
            string fileDs = Server.MapPath("./Data/MultipleTable");
            ModifiedMsAccess.Create(ds, fileDs);

            Response.Write("Export successfully!");
        }
    }
}